org.apache.pdfbox.pdmodel.interactive.form

## Class PDComboBox

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.form.PDField
  - - org.apache.pdfbox.pdmodel.interactive.form.PDTerminalField
    - - org.apache.pdfbox.pdmodel.interactive.form.PDVariableText
      - - org.apache.pdfbox.pdmodel.interactive.form.PDChoice
        - - org.apache.pdfbox.pdmodel.interactive.form.PDComboBox

All Implemented Interfaces:
  COSObjectable

    public final class PDComboBox
    extends PDChoice

A combo box consisting of a drop-down list. May be accompanied by an editable text box in which non-predefined values may be entered.

Author:
  John Hewson

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDVariableText

`QUADDING_CENTERED, QUADDING_LEFT, QUADDING_RIGHT`

### Constructor Summary

Constructors
Constructor and Description
`PDComboBox(PDAcroForm acroForm)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEdit()` Determines if Edit is set.
`void` `setEdit(boolean edit)` Set the Edit bit.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDChoice

`getDefaultValue, getOptions, getOptionsDisplayValues, getOptionsExportValues, getSelectedOptionsIndex, getValue, getValueAsString, hasSeparateExportAndDisplayValues, isCombo, isCommitOnSelChange, isDoNotSpellCheck, isMultiSelect, isSort, setCombo, setCommitOnSelChange, setDefaultValue, setDoNotSpellCheck, setMultiSelect, setOptions, setOptions, setSelectedOptionsIndex, setSort, setValue, setValue`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDVariableText

`getDefaultAppearance, getDefaultStyleString, getQ, getRichTextValue, getStringOrStream, setDefaultAppearance, setDefaultStyleString, setQ, setRichTextValue`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDTerminalField

`applyChange, getFieldFlags, getFieldType, getWidgets, importFDF, setActions, setWidgets`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.form.PDField

`equals, getAcroForm, getActions, getAlternateFieldName, getCOSObject, getFullyQualifiedName, getInheritableAttribute, getMappingName, getParent, getPartialName, hashCode, isNoExport, isReadOnly, isRequired, setAlternateFieldName, setFieldFlags, setMappingName, setNoExport, setPartialName, setReadOnly, setRequired, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDComboBox

    public PDComboBox(PDAcroForm acroForm)

Parameters:
  `acroForm` - The acroform.
See Also:
  `PDField(PDAcroForm)`

### Method Detail

#### isEdit

    public boolean isEdit()

Determines if Edit is set.

Returns:
  true if the combo box shall include an editable text box as well as a drop-down list.

#### setEdit

    public void setEdit(boolean edit)

Set the Edit bit.

Parameters:
  `edit` - The value for Edit.